# Class RawData

java.lang.Object
ecoparasite.input.RawData

public class RawData extends Object
Permet de stocker les données brutes d'un fichier chargé CSV, avant d'être changé en Classe plus spécifique.

## Constructor Summary

Constructors
Constructor
Description
`RawData(ArrayList<ArrayList<String>> data)`
Constructeur.

## Method Summary

Modifier and Type
Method
Description
`HashSet<String>`
`getColumnsNames()`
Permet d'obtenir le nom des colonnes de notre jeu de données.
`ArrayList<ArrayList<String>>`
`getData()`
Getter des données brutes.
`HashSet<String>`
`getDataFromColumn(String colName)`
Permet d'avoir toutes les valeurs associées à la colonne.
`HashMap<String,String>`
`getEntry(int index)`
Permet d'obtenir tous les champs d'une entrée.
`String`
`toString()`
Permet d'avoir un affichage debug du contenu de notre jeu de données.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RawData

public RawData(ArrayList<ArrayList<String>> data)
Constructeur.

Parameters:
  `data` - ArrayList qui demande des ArrayList<String> pour faire des lignes/colonnes.

## Method Details

### getData

public ArrayList<ArrayList<String>> getData()
Getter des données brutes. À n'utiliser que pour des opérations compliquées non descriptibles par une fonction.

Returns:
  ArrayList d'ArrayList de String qui contient les données brutes.

### toString

public String toString()
Permet d'avoir un affichage debug du contenu de notre jeu de données.

Overrides:
  `toString` in class `Object`
Returns:
  La string symbolisant nos données.

### getColumnsNames

public HashSet<String> getColumnsNames()
Permet d'obtenir le nom des colonnes de notre jeu de données.

Returns:
  HashSet du nom des colonnes

### getDataFromColumn

public HashSet<String> getDataFromColumn(String colName)
Permet d'avoir toutes les valeurs associées à la colonne.

Parameters:
  `colName` - Le nom de la colonne dans le fichier CSV
Returns:
  HashSet des données brutes.

### getEntry

public HashMap<String,String> getEntry(int index) throws RawDataOverflow
Permet d'obtenir tous les champs d'une entrée.

Parameters:
  `index` - Entrée que vous voulez obtenir, le minimum est l'entrée 1. Le maximum dépend du Dataframe.
Returns:
  Une HashMap invalid input: '<'colonne, valeur>.
Throws:
  `RawDataOverflow` - Si vous avez dépassé le maximum d'entrées du DataFrame.